Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network140.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
140.0.0.0
Broadcast address
143.255.255.255
First usable
140.0.0.1
Last usable
143.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex 8C000000 · Integer 2348810240 to 2415919103
Reverse DNS zones
140.in-addr.arpa
141.in-addr.arpa
142.in-addr.arpa
143.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001100.00000000.00000000.00000000140.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10001100.00000000.00000000.00000000140.0.0.0
Broadcast10001111.11111111.11111111.11111111143.255.255.255
Split into smaller subnets/18

140.0.0.0/6 makes 4,096 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1140.0.0.0/18140.0.0.1 to 140.0.63.254140.0.63.25516,382
2140.0.64.0/18140.0.64.1 to 140.0.127.254140.0.127.25516,382
3140.0.128.0/18140.0.128.1 to 140.0.191.254140.0.191.25516,382
4140.0.192.0/18140.0.192.1 to 140.0.255.254140.0.255.25516,382
5140.1.0.0/18140.1.0.1 to 140.1.63.254140.1.63.25516,382
6140.1.64.0/18140.1.64.1 to 140.1.127.254140.1.127.25516,382
7140.1.128.0/18140.1.128.1 to 140.1.191.254140.1.191.25516,382
8140.1.192.0/18140.1.192.1 to 140.1.255.254140.1.255.25516,382
9140.2.0.0/18140.2.0.1 to 140.2.63.254140.2.63.25516,382
10140.2.64.0/18140.2.64.1 to 140.2.127.254140.2.127.25516,382
11140.2.128.0/18140.2.128.1 to 140.2.191.254140.2.191.25516,382
12140.2.192.0/18140.2.192.1 to 140.2.255.254140.2.255.25516,382
13140.3.0.0/18140.3.0.1 to 140.3.63.254140.3.63.25516,382
14140.3.64.0/18140.3.64.1 to 140.3.127.254140.3.127.25516,382
15140.3.128.0/18140.3.128.1 to 140.3.191.254140.3.191.25516,382
16140.3.192.0/18140.3.192.1 to 140.3.255.254140.3.255.25516,382
17140.4.0.0/18140.4.0.1 to 140.4.63.254140.4.63.25516,382
18140.4.64.0/18140.4.64.1 to 140.4.127.254140.4.127.25516,382
19140.4.128.0/18140.4.128.1 to 140.4.191.254140.4.191.25516,382
20140.4.192.0/18140.4.192.1 to 140.4.255.254140.4.255.25516,382
21140.5.0.0/18140.5.0.1 to 140.5.63.254140.5.63.25516,382
22140.5.64.0/18140.5.64.1 to 140.5.127.254140.5.127.25516,382
23140.5.128.0/18140.5.128.1 to 140.5.191.254140.5.191.25516,382
24140.5.192.0/18140.5.192.1 to 140.5.255.254140.5.255.25516,382
25140.6.0.0/18140.6.0.1 to 140.6.63.254140.6.63.25516,382
26140.6.64.0/18140.6.64.1 to 140.6.127.254140.6.127.25516,382
27140.6.128.0/18140.6.128.1 to 140.6.191.254140.6.191.25516,382
28140.6.192.0/18140.6.192.1 to 140.6.255.254140.6.255.25516,382
29140.7.0.0/18140.7.0.1 to 140.7.63.254140.7.63.25516,382
30140.7.64.0/18140.7.64.1 to 140.7.127.254140.7.127.25516,382
31140.7.128.0/18140.7.128.1 to 140.7.191.254140.7.191.25516,382
32140.7.192.0/18140.7.192.1 to 140.7.255.254140.7.255.25516,382
33140.8.0.0/18140.8.0.1 to 140.8.63.254140.8.63.25516,382
34140.8.64.0/18140.8.64.1 to 140.8.127.254140.8.127.25516,382
35140.8.128.0/18140.8.128.1 to 140.8.191.254140.8.191.25516,382
36140.8.192.0/18140.8.192.1 to 140.8.255.254140.8.255.25516,382
37140.9.0.0/18140.9.0.1 to 140.9.63.254140.9.63.25516,382
38140.9.64.0/18140.9.64.1 to 140.9.127.254140.9.127.25516,382
39140.9.128.0/18140.9.128.1 to 140.9.191.254140.9.191.25516,382
40140.9.192.0/18140.9.192.1 to 140.9.255.254140.9.255.25516,382
41140.10.0.0/18140.10.0.1 to 140.10.63.254140.10.63.25516,382
42140.10.64.0/18140.10.64.1 to 140.10.127.254140.10.127.25516,382
43140.10.128.0/18140.10.128.1 to 140.10.191.254140.10.191.25516,382
44140.10.192.0/18140.10.192.1 to 140.10.255.254140.10.255.25516,382
45140.11.0.0/18140.11.0.1 to 140.11.63.254140.11.63.25516,382
46140.11.64.0/18140.11.64.1 to 140.11.127.254140.11.127.25516,382
47140.11.128.0/18140.11.128.1 to 140.11.191.254140.11.191.25516,382
48140.11.192.0/18140.11.192.1 to 140.11.255.254140.11.255.25516,382
49140.12.0.0/18140.12.0.1 to 140.12.63.254140.12.63.25516,382
50140.12.64.0/18140.12.64.1 to 140.12.127.254140.12.127.25516,382
51140.12.128.0/18140.12.128.1 to 140.12.191.254140.12.191.25516,382
52140.12.192.0/18140.12.192.1 to 140.12.255.254140.12.255.25516,382
53140.13.0.0/18140.13.0.1 to 140.13.63.254140.13.63.25516,382
54140.13.64.0/18140.13.64.1 to 140.13.127.254140.13.127.25516,382
55140.13.128.0/18140.13.128.1 to 140.13.191.254140.13.191.25516,382
56140.13.192.0/18140.13.192.1 to 140.13.255.254140.13.255.25516,382
57140.14.0.0/18140.14.0.1 to 140.14.63.254140.14.63.25516,382
58140.14.64.0/18140.14.64.1 to 140.14.127.254140.14.127.25516,382
59140.14.128.0/18140.14.128.1 to 140.14.191.254140.14.191.25516,382
60140.14.192.0/18140.14.192.1 to 140.14.255.254140.14.255.25516,382
61140.15.0.0/18140.15.0.1 to 140.15.63.254140.15.63.25516,382
62140.15.64.0/18140.15.64.1 to 140.15.127.254140.15.127.25516,382
63140.15.128.0/18140.15.128.1 to 140.15.191.254140.15.191.25516,382
64140.15.192.0/18140.15.192.1 to 140.15.255.254140.15.255.25516,382
65140.16.0.0/18140.16.0.1 to 140.16.63.254140.16.63.25516,382
66140.16.64.0/18140.16.64.1 to 140.16.127.254140.16.127.25516,382
67140.16.128.0/18140.16.128.1 to 140.16.191.254140.16.191.25516,382
68140.16.192.0/18140.16.192.1 to 140.16.255.254140.16.255.25516,382
69140.17.0.0/18140.17.0.1 to 140.17.63.254140.17.63.25516,382
70140.17.64.0/18140.17.64.1 to 140.17.127.254140.17.127.25516,382
71140.17.128.0/18140.17.128.1 to 140.17.191.254140.17.191.25516,382
72140.17.192.0/18140.17.192.1 to 140.17.255.254140.17.255.25516,382
73140.18.0.0/18140.18.0.1 to 140.18.63.254140.18.63.25516,382
74140.18.64.0/18140.18.64.1 to 140.18.127.254140.18.127.25516,382
75140.18.128.0/18140.18.128.1 to 140.18.191.254140.18.191.25516,382
76140.18.192.0/18140.18.192.1 to 140.18.255.254140.18.255.25516,382
77140.19.0.0/18140.19.0.1 to 140.19.63.254140.19.63.25516,382
78140.19.64.0/18140.19.64.1 to 140.19.127.254140.19.127.25516,382
79140.19.128.0/18140.19.128.1 to 140.19.191.254140.19.191.25516,382
80140.19.192.0/18140.19.192.1 to 140.19.255.254140.19.255.25516,382
81140.20.0.0/18140.20.0.1 to 140.20.63.254140.20.63.25516,382
82140.20.64.0/18140.20.64.1 to 140.20.127.254140.20.127.25516,382
83140.20.128.0/18140.20.128.1 to 140.20.191.254140.20.191.25516,382
84140.20.192.0/18140.20.192.1 to 140.20.255.254140.20.255.25516,382
85140.21.0.0/18140.21.0.1 to 140.21.63.254140.21.63.25516,382
86140.21.64.0/18140.21.64.1 to 140.21.127.254140.21.127.25516,382
87140.21.128.0/18140.21.128.1 to 140.21.191.254140.21.191.25516,382
88140.21.192.0/18140.21.192.1 to 140.21.255.254140.21.255.25516,382
89140.22.0.0/18140.22.0.1 to 140.22.63.254140.22.63.25516,382
90140.22.64.0/18140.22.64.1 to 140.22.127.254140.22.127.25516,382
91140.22.128.0/18140.22.128.1 to 140.22.191.254140.22.191.25516,382
92140.22.192.0/18140.22.192.1 to 140.22.255.254140.22.255.25516,382
93140.23.0.0/18140.23.0.1 to 140.23.63.254140.23.63.25516,382
94140.23.64.0/18140.23.64.1 to 140.23.127.254140.23.127.25516,382
95140.23.128.0/18140.23.128.1 to 140.23.191.254140.23.191.25516,382
96140.23.192.0/18140.23.192.1 to 140.23.255.254140.23.255.25516,382
97140.24.0.0/18140.24.0.1 to 140.24.63.254140.24.63.25516,382
98140.24.64.0/18140.24.64.1 to 140.24.127.254140.24.127.25516,382
99140.24.128.0/18140.24.128.1 to 140.24.191.254140.24.191.25516,382
100140.24.192.0/18140.24.192.1 to 140.24.255.254140.24.255.25516,382
101140.25.0.0/18140.25.0.1 to 140.25.63.254140.25.63.25516,382
102140.25.64.0/18140.25.64.1 to 140.25.127.254140.25.127.25516,382
103140.25.128.0/18140.25.128.1 to 140.25.191.254140.25.191.25516,382
104140.25.192.0/18140.25.192.1 to 140.25.255.254140.25.255.25516,382
105140.26.0.0/18140.26.0.1 to 140.26.63.254140.26.63.25516,382
106140.26.64.0/18140.26.64.1 to 140.26.127.254140.26.127.25516,382
107140.26.128.0/18140.26.128.1 to 140.26.191.254140.26.191.25516,382
108140.26.192.0/18140.26.192.1 to 140.26.255.254140.26.255.25516,382
109140.27.0.0/18140.27.0.1 to 140.27.63.254140.27.63.25516,382
110140.27.64.0/18140.27.64.1 to 140.27.127.254140.27.127.25516,382
111140.27.128.0/18140.27.128.1 to 140.27.191.254140.27.191.25516,382
112140.27.192.0/18140.27.192.1 to 140.27.255.254140.27.255.25516,382
113140.28.0.0/18140.28.0.1 to 140.28.63.254140.28.63.25516,382
114140.28.64.0/18140.28.64.1 to 140.28.127.254140.28.127.25516,382
115140.28.128.0/18140.28.128.1 to 140.28.191.254140.28.191.25516,382
116140.28.192.0/18140.28.192.1 to 140.28.255.254140.28.255.25516,382
117140.29.0.0/18140.29.0.1 to 140.29.63.254140.29.63.25516,382
118140.29.64.0/18140.29.64.1 to 140.29.127.254140.29.127.25516,382
119140.29.128.0/18140.29.128.1 to 140.29.191.254140.29.191.25516,382
120140.29.192.0/18140.29.192.1 to 140.29.255.254140.29.255.25516,382
121140.30.0.0/18140.30.0.1 to 140.30.63.254140.30.63.25516,382
122140.30.64.0/18140.30.64.1 to 140.30.127.254140.30.127.25516,382
123140.30.128.0/18140.30.128.1 to 140.30.191.254140.30.191.25516,382
124140.30.192.0/18140.30.192.1 to 140.30.255.254140.30.255.25516,382
125140.31.0.0/18140.31.0.1 to 140.31.63.254140.31.63.25516,382
126140.31.64.0/18140.31.64.1 to 140.31.127.254140.31.127.25516,382
127140.31.128.0/18140.31.128.1 to 140.31.191.254140.31.191.25516,382
128140.31.192.0/18140.31.192.1 to 140.31.255.254140.31.255.25516,382
129140.32.0.0/18140.32.0.1 to 140.32.63.254140.32.63.25516,382
130140.32.64.0/18140.32.64.1 to 140.32.127.254140.32.127.25516,382
131140.32.128.0/18140.32.128.1 to 140.32.191.254140.32.191.25516,382
132140.32.192.0/18140.32.192.1 to 140.32.255.254140.32.255.25516,382
133140.33.0.0/18140.33.0.1 to 140.33.63.254140.33.63.25516,382
134140.33.64.0/18140.33.64.1 to 140.33.127.254140.33.127.25516,382
135140.33.128.0/18140.33.128.1 to 140.33.191.254140.33.191.25516,382
136140.33.192.0/18140.33.192.1 to 140.33.255.254140.33.255.25516,382
137140.34.0.0/18140.34.0.1 to 140.34.63.254140.34.63.25516,382
138140.34.64.0/18140.34.64.1 to 140.34.127.254140.34.127.25516,382
139140.34.128.0/18140.34.128.1 to 140.34.191.254140.34.191.25516,382
140140.34.192.0/18140.34.192.1 to 140.34.255.254140.34.255.25516,382
141140.35.0.0/18140.35.0.1 to 140.35.63.254140.35.63.25516,382
142140.35.64.0/18140.35.64.1 to 140.35.127.254140.35.127.25516,382
143140.35.128.0/18140.35.128.1 to 140.35.191.254140.35.191.25516,382
144140.35.192.0/18140.35.192.1 to 140.35.255.254140.35.255.25516,382
145140.36.0.0/18140.36.0.1 to 140.36.63.254140.36.63.25516,382
146140.36.64.0/18140.36.64.1 to 140.36.127.254140.36.127.25516,382
147140.36.128.0/18140.36.128.1 to 140.36.191.254140.36.191.25516,382
148140.36.192.0/18140.36.192.1 to 140.36.255.254140.36.255.25516,382
149140.37.0.0/18140.37.0.1 to 140.37.63.254140.37.63.25516,382
150140.37.64.0/18140.37.64.1 to 140.37.127.254140.37.127.25516,382
151140.37.128.0/18140.37.128.1 to 140.37.191.254140.37.191.25516,382
152140.37.192.0/18140.37.192.1 to 140.37.255.254140.37.255.25516,382
153140.38.0.0/18140.38.0.1 to 140.38.63.254140.38.63.25516,382
154140.38.64.0/18140.38.64.1 to 140.38.127.254140.38.127.25516,382
155140.38.128.0/18140.38.128.1 to 140.38.191.254140.38.191.25516,382
156140.38.192.0/18140.38.192.1 to 140.38.255.254140.38.255.25516,382
157140.39.0.0/18140.39.0.1 to 140.39.63.254140.39.63.25516,382
158140.39.64.0/18140.39.64.1 to 140.39.127.254140.39.127.25516,382
159140.39.128.0/18140.39.128.1 to 140.39.191.254140.39.191.25516,382
160140.39.192.0/18140.39.192.1 to 140.39.255.254140.39.255.25516,382
161140.40.0.0/18140.40.0.1 to 140.40.63.254140.40.63.25516,382
162140.40.64.0/18140.40.64.1 to 140.40.127.254140.40.127.25516,382
163140.40.128.0/18140.40.128.1 to 140.40.191.254140.40.191.25516,382
164140.40.192.0/18140.40.192.1 to 140.40.255.254140.40.255.25516,382
165140.41.0.0/18140.41.0.1 to 140.41.63.254140.41.63.25516,382
166140.41.64.0/18140.41.64.1 to 140.41.127.254140.41.127.25516,382
167140.41.128.0/18140.41.128.1 to 140.41.191.254140.41.191.25516,382
168140.41.192.0/18140.41.192.1 to 140.41.255.254140.41.255.25516,382
169140.42.0.0/18140.42.0.1 to 140.42.63.254140.42.63.25516,382
170140.42.64.0/18140.42.64.1 to 140.42.127.254140.42.127.25516,382
171140.42.128.0/18140.42.128.1 to 140.42.191.254140.42.191.25516,382
172140.42.192.0/18140.42.192.1 to 140.42.255.254140.42.255.25516,382
173140.43.0.0/18140.43.0.1 to 140.43.63.254140.43.63.25516,382
174140.43.64.0/18140.43.64.1 to 140.43.127.254140.43.127.25516,382
175140.43.128.0/18140.43.128.1 to 140.43.191.254140.43.191.25516,382
176140.43.192.0/18140.43.192.1 to 140.43.255.254140.43.255.25516,382
177140.44.0.0/18140.44.0.1 to 140.44.63.254140.44.63.25516,382
178140.44.64.0/18140.44.64.1 to 140.44.127.254140.44.127.25516,382
179140.44.128.0/18140.44.128.1 to 140.44.191.254140.44.191.25516,382
180140.44.192.0/18140.44.192.1 to 140.44.255.254140.44.255.25516,382
181140.45.0.0/18140.45.0.1 to 140.45.63.254140.45.63.25516,382
182140.45.64.0/18140.45.64.1 to 140.45.127.254140.45.127.25516,382
183140.45.128.0/18140.45.128.1 to 140.45.191.254140.45.191.25516,382
184140.45.192.0/18140.45.192.1 to 140.45.255.254140.45.255.25516,382
185140.46.0.0/18140.46.0.1 to 140.46.63.254140.46.63.25516,382
186140.46.64.0/18140.46.64.1 to 140.46.127.254140.46.127.25516,382
187140.46.128.0/18140.46.128.1 to 140.46.191.254140.46.191.25516,382
188140.46.192.0/18140.46.192.1 to 140.46.255.254140.46.255.25516,382
189140.47.0.0/18140.47.0.1 to 140.47.63.254140.47.63.25516,382
190140.47.64.0/18140.47.64.1 to 140.47.127.254140.47.127.25516,382
191140.47.128.0/18140.47.128.1 to 140.47.191.254140.47.191.25516,382
192140.47.192.0/18140.47.192.1 to 140.47.255.254140.47.255.25516,382
193140.48.0.0/18140.48.0.1 to 140.48.63.254140.48.63.25516,382
194140.48.64.0/18140.48.64.1 to 140.48.127.254140.48.127.25516,382
195140.48.128.0/18140.48.128.1 to 140.48.191.254140.48.191.25516,382
196140.48.192.0/18140.48.192.1 to 140.48.255.254140.48.255.25516,382
197140.49.0.0/18140.49.0.1 to 140.49.63.254140.49.63.25516,382
198140.49.64.0/18140.49.64.1 to 140.49.127.254140.49.127.25516,382
199140.49.128.0/18140.49.128.1 to 140.49.191.254140.49.191.25516,382
200140.49.192.0/18140.49.192.1 to 140.49.255.254140.49.255.25516,382
201140.50.0.0/18140.50.0.1 to 140.50.63.254140.50.63.25516,382
202140.50.64.0/18140.50.64.1 to 140.50.127.254140.50.127.25516,382
203140.50.128.0/18140.50.128.1 to 140.50.191.254140.50.191.25516,382
204140.50.192.0/18140.50.192.1 to 140.50.255.254140.50.255.25516,382
205140.51.0.0/18140.51.0.1 to 140.51.63.254140.51.63.25516,382
206140.51.64.0/18140.51.64.1 to 140.51.127.254140.51.127.25516,382
207140.51.128.0/18140.51.128.1 to 140.51.191.254140.51.191.25516,382
208140.51.192.0/18140.51.192.1 to 140.51.255.254140.51.255.25516,382
209140.52.0.0/18140.52.0.1 to 140.52.63.254140.52.63.25516,382
210140.52.64.0/18140.52.64.1 to 140.52.127.254140.52.127.25516,382
211140.52.128.0/18140.52.128.1 to 140.52.191.254140.52.191.25516,382
212140.52.192.0/18140.52.192.1 to 140.52.255.254140.52.255.25516,382
213140.53.0.0/18140.53.0.1 to 140.53.63.254140.53.63.25516,382
214140.53.64.0/18140.53.64.1 to 140.53.127.254140.53.127.25516,382
215140.53.128.0/18140.53.128.1 to 140.53.191.254140.53.191.25516,382
216140.53.192.0/18140.53.192.1 to 140.53.255.254140.53.255.25516,382
217140.54.0.0/18140.54.0.1 to 140.54.63.254140.54.63.25516,382
218140.54.64.0/18140.54.64.1 to 140.54.127.254140.54.127.25516,382
219140.54.128.0/18140.54.128.1 to 140.54.191.254140.54.191.25516,382
220140.54.192.0/18140.54.192.1 to 140.54.255.254140.54.255.25516,382
221140.55.0.0/18140.55.0.1 to 140.55.63.254140.55.63.25516,382
222140.55.64.0/18140.55.64.1 to 140.55.127.254140.55.127.25516,382
223140.55.128.0/18140.55.128.1 to 140.55.191.254140.55.191.25516,382
224140.55.192.0/18140.55.192.1 to 140.55.255.254140.55.255.25516,382
225140.56.0.0/18140.56.0.1 to 140.56.63.254140.56.63.25516,382
226140.56.64.0/18140.56.64.1 to 140.56.127.254140.56.127.25516,382
227140.56.128.0/18140.56.128.1 to 140.56.191.254140.56.191.25516,382
228140.56.192.0/18140.56.192.1 to 140.56.255.254140.56.255.25516,382
229140.57.0.0/18140.57.0.1 to 140.57.63.254140.57.63.25516,382
230140.57.64.0/18140.57.64.1 to 140.57.127.254140.57.127.25516,382
231140.57.128.0/18140.57.128.1 to 140.57.191.254140.57.191.25516,382
232140.57.192.0/18140.57.192.1 to 140.57.255.254140.57.255.25516,382
233140.58.0.0/18140.58.0.1 to 140.58.63.254140.58.63.25516,382
234140.58.64.0/18140.58.64.1 to 140.58.127.254140.58.127.25516,382
235140.58.128.0/18140.58.128.1 to 140.58.191.254140.58.191.25516,382
236140.58.192.0/18140.58.192.1 to 140.58.255.254140.58.255.25516,382
237140.59.0.0/18140.59.0.1 to 140.59.63.254140.59.63.25516,382
238140.59.64.0/18140.59.64.1 to 140.59.127.254140.59.127.25516,382
239140.59.128.0/18140.59.128.1 to 140.59.191.254140.59.191.25516,382
240140.59.192.0/18140.59.192.1 to 140.59.255.254140.59.255.25516,382
241140.60.0.0/18140.60.0.1 to 140.60.63.254140.60.63.25516,382
242140.60.64.0/18140.60.64.1 to 140.60.127.254140.60.127.25516,382
243140.60.128.0/18140.60.128.1 to 140.60.191.254140.60.191.25516,382
244140.60.192.0/18140.60.192.1 to 140.60.255.254140.60.255.25516,382
245140.61.0.0/18140.61.0.1 to 140.61.63.254140.61.63.25516,382
246140.61.64.0/18140.61.64.1 to 140.61.127.254140.61.127.25516,382
247140.61.128.0/18140.61.128.1 to 140.61.191.254140.61.191.25516,382
248140.61.192.0/18140.61.192.1 to 140.61.255.254140.61.255.25516,382
249140.62.0.0/18140.62.0.1 to 140.62.63.254140.62.63.25516,382
250140.62.64.0/18140.62.64.1 to 140.62.127.254140.62.127.25516,382
251140.62.128.0/18140.62.128.1 to 140.62.191.254140.62.191.25516,382
252140.62.192.0/18140.62.192.1 to 140.62.255.254140.62.255.25516,382
253140.63.0.0/18140.63.0.1 to 140.63.63.254140.63.63.25516,382
254140.63.64.0/18140.63.64.1 to 140.63.127.254140.63.127.25516,382
255140.63.128.0/18140.63.128.1 to 140.63.191.254140.63.191.25516,382
256140.63.192.0/18140.63.192.1 to 140.63.255.254140.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses